#!/bin/sh

# Wrapper script to run CMUCL or Lisp files quietly with CMU
# Common Lisp. It is used by binfmt-support to execute CMUCL fasls
# natively.
#
#  -- René van Bevern <rvb@pro-linux.de>, Sun Aug 28 20:59:41 2005

if [ "$1" ]; then
    program="$1"; shift
    cmucl -quiet -noinit -batch -load "$program" -eval "(quit)" "$@"
else
    echo "Usage: $0 cmucl-program [arguments ...]"
fi


